Skip to main content
Astra Automation
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

列出所有组

GET /accounts/{account_id}/core/v1/groups

返回集合中所有匹配资源的 JSON 数组。如果在请求中指定了单个字段,则项目 JSON 数组将包含按指定顺序为每个匹配资源请求的字段。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

包括

string

查询

False

指示列出集合时应返回哪些字段。

URL 示例:"include=id"、"include=id,name"

OpenAPI 示例:"id"

  • 示例:id,authProvider,authID

limit

string

查询

False

指示列出集合时要返回的最大资源数。

URL 示例:"limit=2"

OpenAPI 示例:"2"

筛选器

string

查询

False

指示在列出集合时应匹配哪些字段以返回资源。

支持的运算符有:

  • eq - 相等

  • lt/gt - 小于/大于

  • lte/gte - 小于或等于/大于或等于

URL 示例:"filter=field%20eq%20%27value%27"

OpenAPI 示例:"field eq 'value'"

订单

string

查询

False

指示列出集合时资源的排序顺序。

URL 示例:"orderBy=name","orderBy=name%20desc"

OpenAPI 示例:"name desc"

跳过

string

查询

False

指示列出集合时要跳过的资源数。

URL 示例:"skip=1"

OpenAPI 示例:"1"

count

string

查询

False

指示是否应在元数据对象中返回资源总数。

URL 示例:"count=true"

OpenAPI 示例:"true"

继续

查询

False

指示要从中恢复列表的令牌。

URL 示例:"continue="

OpenAPI 示例:"</continue>+</continue>

响应

Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
名称 Type Required Description

个项

数组[任意一种:"group_1.1_get_response_body",数组[]]

True

元数据

"type_astra_metadata_list"

True

响应示例
{
  "type": "application/astra-groups",
  "version": "1.1",
  "items": [
    [
      "11c0cfa1-4f27-4ef7-a21c-cb452fc5c9aa",
      "ldap",
      "CN=Testers,CN=groups,DC=example,DC=com"
    ],
    [
      "e324ec3a-706d-4f57-a95d-1d88c03e7b73",
      "ldap",
      "CN=Admins,CN=groups,DC=example,DC=com"
    ],
    [
      "3070c84d-129b-4017-82a8-2c26a42dd77e",
      "ldap",
      "CN=SREs,CN=groups,DC=example,DC=com"
    ]
  ],
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 500, Internal server error
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/34",
  "title": "Internal server error",
  "detail": "The server was unable to process this request.",
  "status": "500"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/1",
  "title": "Resource not found",
  "detail": "The resource specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata_update

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

名称 Type Required Description

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

group_1.1_get_response_body

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-group"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

name

string

True

组资源的名称。如果在创建时未指定,则该值将设置为

  • 如果在 authID 中找到第一个公用名 (CN) 相对可分辨名称 (RDN),

  • authID,否则。如果在更新时未指定,则该值将不加修改地保留。定义的值为:

  • 最小长度:1

  • 最大长度:2048

authProvider

string

True

组资源的身份验证提供程序。定义的值是:

  • “ldap”

authID

string

True

LDAP 组的可分辨名称 (DN)。定义的值为:

  • 最小长度:1

  • 最大长度:2048

元数据

"type_astra_metadata_update"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

type_astra_metadata_list

名称 Type Required Description

继续

string

False

count

数字

False

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因